=head1 NAME

B<getslnodes> - queries your SoftLayer account and gets attributes for each server.

=head1 SYNOPSIS

B<getslnodes> [B<-v>|B<--verbose>] [I<hostname-match>]  

B<getslnodes> [B<-?> | B<-h> | B<--help>]

=head1 DESCRIPTION

The B<getslnodes> command queries your SoftLayer account and gets attributes for each
server.  The attributes can be piped to 'mkdef -z' to define the nodes
in the xCAT DB so that xCAT can manage them.

Before using this command, you must download and install the SoftLayer API perl module.
For example: 

   cd /usr/local/lib
   git clone https://github.com/softlayer/softlayer-api-perl-client.git

You also need to follow these directions to get your SoftLayer API key: http://knowledgelayer.softlayer.com/procedure/retrieve-your-api-key

B<getslnodes> requires a .slconfig file in your home directory that contains your
SoftLayer userid, API key, and location of the SoftLayer API perl module, in attr=val format.
For example:

   # Config file used by the xcat cmd getslnodes
   userid = joe_smith
   apikey = 1234567890abcdef1234567890abcdef1234567890abcdef
   apidir = /usr/local/lib/softlayer-api-perl-client

=head1 OPTIONS

=over 10

=item B<-?|-h|--help>

Display usage message.

=item B<-v|--version>

Command Version.

=back

=head1 RETURN VALUE

0  The command completed successfully.

1  An error has occurred.

=head1 EXAMPLES

=over 3

=item 1.

Display information about all of the nodes in your SoftLayer account:

 getslnodes

=item 2.

Display information about all of the nodes whose hostname starts with foo:

 getslnodes foo

=item 3.

Create xCAT node defintions in the xCAT DB for all of the nodes in your SoftLayer account:

 getslnodes | mkdef -z

=back

=head1 FILES

/opt/xcat/bin/getslnodes

=head1 SEE ALSO

L<pushinitrd(1)|pushinitrd.1>
